Skip to content

Get filtered posts

GET /api/Subjects/{subjectId}/filteredPosts

Send your private API key in the X-Api-Key header. Keep it on your server.

Examples use illustrative values. Set FERRETLY_API_KEY in your server environment for JavaScript, Python, and C#. Replace sample IDs, URLs, and profile values before use.

Terminal window
curl --fail -sS -X GET "https://api.ferretly.com/api/Subjects/11111111-1111-4111-8111-111111111111/filteredPosts?typeFilter=All&dateFilter=None" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Accept: application/json"
NameInRequiredTypeDescription
subjectIdpathYesstring (uuid)
typeFilterqueryNoPostTypeFilter
dateFilterqueryNoPostDateFilter

List of posts

  • text/plain: array of Post
  • application/json: array of Post
  • text/json: array of Post

Subject does not exist, is not valid for the API client.

Illustrative, shortened HTTP 200 response. Optional fields can be absent or null.

[
{
"id": "11111111-1111-4111-8111-111111111111",
"backgroundCheckId": "22222222-2222-4222-8222-222222222222",
"platform": "Twitter",
"postType": "Post",
"handle": "your_candidate",
"content": "Illustrative post content.",
"postDate": "2026-10-12T10:00:00Z",
"sentiment": 0.2,
"sentimentFlag": "Neutral",
"flagList": [],
"allFlags": [],
"isVideo": false,
"mediaItems": [],
"keywordFlagType": "NotFlagged",
"tags": []
}
]
Response properties
PropertyTypeDescription
idstring (uuid)The ID of the post
backgroundCheckIdstring (uuid)The background check which contains this post
platformstringThe name of the social media platform where this post was found Nullable.
postTypePostType
handlestringThe “handle” (aka, username) of the person who authored the post Nullable.
nameOfPosterstringFriendly name of the person who authored the post Nullable.
profileImageUrlstringA URL to the profile picture of the person who authored the post Nullable.
postLinkstringA URL to the original post Nullable.
contentstringThe post’s content Nullable.
postDatestring (date-time)The date/time of the post
sentimentnumber (double)A measure of the post’s “sentiment”. Range from -1 (negative sentiment) to +1 (positive sentiment)
sentimentFlagSentimentFlag
flagListarray of stringGets and sets a list of flags that are advertised in the UI (not all flags). For keywords, may be set for posts that are not risks. Nullable.
allFlagsarray of FlagInfoGets and sets the list of ALL flags found for this post (set on posts that are risks). Nullable.
friendlyFlagTextstringThe “flag” text displayed in the user interface. Nullable.
isVideobooleanA boolean to indicate whether the primary media item is a video.
videoLinkstringA link to the video. Nullable.
mediaItemsarray of MediaItemA list of MediaItem if the post contains multiple. Nullable.
keywordFlagTypeKeywordType
tagsarray of stringA list of Tags that have been applied to the post. Nullable.
allFlags properties
PropertyTypeDescription
namestringNullable.
labelNamestringNullable.
flagLevelnumber (double)Value is between 0 and 1 and is assumed to be a percentage value
keywordFlagLabelstringNullable.
keywordFlagTypeKeywordType
behaviorSourceBehaviorSource
riskTypeRiskType
mediaItems properties
PropertyTypeDescription
idstring (uuid)Identifier for the media item
typestringThe type of the media item Values: Image, VideoThumbnail, VideoFrame.
mediastringURL representing the media item Nullable.
isVideobooleanBoolean indicating whether the media is a video of some sort
videoLinkstringLink to the video. The Media property sometimes represents a thumbnail image if the media item is a video. Nullable.
allFlagsarray of FlagInfoList of flag information Nullable.
friendlyFlagTextstringFriendly text describing why the media item was flagged Nullable.
flagListarray of stringGets and sets a list of flags that are advertised in the UI (not all flags). Nullable.